<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-itens-locacao-heading" jhiTranslate="locadoraApp.itensLocacao.home.createOrEditLabel">Create or edit a Itens Locacao</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!itensLocacao.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="itensLocacao.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.itensLocacao.dataEntregaPrevista" for="field_dataEntregaPrevista">Data Entrega Prevista</label>
                    <div class="input-group">
                        <input id="field_dataEntregaPrevista" type="text" class="form-control" name="dataEntregaPrevista" ngbDatepicker  #dataEntregaPrevistaDp="ngbDatepicker" [(ngModel)]="itensLocacao.dataEntregaPrevista"
                        required/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataEntregaPrevistaDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                    <div [hidden]="!(editForm.controls.dataEntregaPrevista?.dirty && editForm.controls.dataEntregaPrevista?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.dataEntregaPrevista?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.itensLocacao.dataEntregaEfetiva" for="field_dataEntregaEfetiva">Data Entrega Efetiva</label>
                    <div class="input-group">
                        <input id="field_dataEntregaEfetiva" type="text" class="form-control" name="dataEntregaEfetiva" ngbDatepicker  #dataEntregaEfetivaDp="ngbDatepicker" [(ngModel)]="itensLocacao.dataEntregaEfetiva"
                        />
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataEntregaEfetivaDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.itensLocacao.midia" for="field_midia">Midia</label>
                    <select class="form-control" id="field_midia" name="midia" [(ngModel)]="itensLocacao.midiaId"  required>
                        <option *ngIf="!editForm.value.midia" [ngValue]="null" selected></option>
                        <option [ngValue]="midiaOption.id" *ngFor="let midiaOption of midias; trackBy: trackMidiaById">{{midiaOption.tipo}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.midia?.dirty && editForm.controls.midia?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.midia?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.itensLocacao.locacao" for="field_locacao">Locacao</label>
                    <select class="form-control" id="field_locacao" name="locacao" [(ngModel)]="itensLocacao.locacaoId"  required>
                        <option *ngIf="!editForm.value.locacao" [ngValue]="null" selected></option>
                        <option [ngValue]="locacaoOption.id" *ngFor="let locacaoOption of locacaos; trackBy: trackLocacaoById">{{locacaoOption.id}}</option>
                    </select>
                </div>
                <div [hidden]="!(editForm.controls.locacao?.dirty && editForm.controls.locacao?.invalid)">
                    <small class="form-text text-danger"
                        [hidden]="!editForm.controls.locacao?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                    </small>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
